Package com.ocient.jdbc.proto

## Class PlanProtocol.GenerateOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.GenerateOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.GenerateOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.GenerateOperator

    public static final class PlanProtocol.GenerateOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>
    implements PlanProtocol.GenerateOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.GenerateOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.GenerateOperator.Builder` `addAllExtraValues​(Iterable<? extends Integer> values)` `repeated uint32 extraValues = 7;`
`PlanProtocol.GenerateOperator.Builder` `addExtraValues​(int value)` `repeated uint32 extraValues = 7;`
`PlanProtocol.GenerateOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.GenerateOperator` `build()`
`PlanProtocol.GenerateOperator` `buildPartial()`
`PlanProtocol.GenerateOperator.Builder` `clear()`
`PlanProtocol.GenerateOperator.Builder` `clearClusteringBalanceFactor()` `double clusteringBalanceFactor = 5;`
`PlanProtocol.GenerateOperator.Builder` `clearClusteringFactor()` `double clusteringFactor = 4;`
`PlanProtocol.GenerateOperator.Builder` `clearExtraValues()` `repeated uint32 extraValues = 7;`
`PlanProtocol.GenerateOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.GenerateOperator.Builder` `clearLimitVal()` If there is no limit being applied, this is set to -1
`PlanProtocol.GenerateOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.GenerateOperator.Builder` `clearRandomSeed()` `uint64 randomSeed = 6;`
`PlanProtocol.GenerateOperator.Builder` `clearRowsPerSecond()` `double rowsPerSecond = 2;`
`PlanProtocol.GenerateOperator.Builder` `clearRowsToGenerate()` `uint64 rowsToGenerate = 3;`
`PlanProtocol.GenerateOperator.Builder` `clearStartTime()` `uint64 startTime = 1;`
`PlanProtocol.GenerateOperator.Builder` `clone()`
`double` `getClusteringBalanceFactor()` `double clusteringBalanceFactor = 5;`
`double` `getClusteringFactor()` `double clusteringFactor = 4;`
`PlanProtocol.GenerateOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getExtraValues​(int index)` `repeated uint32 extraValues = 7;`
`int` `getExtraValuesCount()` `repeated uint32 extraValues = 7;`
`List<Integer>` `getExtraValuesList()` `repeated uint32 extraValues = 7;`
`long` `getLimitVal()` If there is no limit being applied, this is set to -1
`long` `getRandomSeed()` `uint64 randomSeed = 6;`
`double` `getRowsPerSecond()` `double rowsPerSecond = 2;`
`long` `getRowsToGenerate()` `uint64 rowsToGenerate = 3;`
`long` `getStartTime()` `uint64 startTime = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.GenerateOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.GenerateOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.GenerateOperator.Builder` `mergeFrom​(PlanProtocol.GenerateOperator other)`
`PlanProtocol.GenerateOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.GenerateOperator.Builder` `setClusteringBalanceFactor​(double value)` `double clusteringBalanceFactor = 5;`
`PlanProtocol.GenerateOperator.Builder` `setClusteringFactor​(double value)` `double clusteringFactor = 4;`
`PlanProtocol.GenerateOperator.Builder` `setExtraValues​(int index, int value)` `repeated uint32 extraValues = 7;`
`PlanProtocol.GenerateOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.GenerateOperator.Builder` `setLimitVal​(long value)` If there is no limit being applied, this is set to -1
`PlanProtocol.GenerateOperator.Builder` `setRandomSeed​(long value)` `uint64 randomSeed = 6;`
`PlanProtocol.GenerateOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.GenerateOperator.Builder` `setRowsPerSecond​(double value)` `double rowsPerSecond = 2;`
`PlanProtocol.GenerateOperator.Builder` `setRowsToGenerate​(long value)` `uint64 rowsToGenerate = 3;`
`PlanProtocol.GenerateOperator.Builder` `setStartTime​(long value)` `uint64 startTime = 1;`
`PlanProtocol.GenerateOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>`

#### clear

    public PlanProtocol.GenerateOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.GenerateOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.GenerateOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.GenerateOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.GenerateOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>`

#### setField

    public PlanProtocol.GenerateOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>`

#### clearField

    public PlanProtocol.GenerateOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>`

#### clearOneof

    public PlanProtocol.GenerateOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.GenerateOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                  int index,
                                                                  Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.GenerateOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                  Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>`

#### mergeFrom

    public PlanProtocol.GenerateOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.GenerateOperator.Builder>`

#### mergeFrom

    public PlanProtocol.GenerateOperator.Builder mergeFrom​(PlanProtocol.GenerateOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>`

#### mergeFrom

    public PlanProtocol.GenerateOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.GenerateOperator.Builder>`
Throws:
  `IOException`

#### getStartTime

    public long getStartTime()

`uint64 startTime = 1;`

Specified by:
  `getStartTime` in interface `PlanProtocol.GenerateOperatorOrBuilder`
Returns:
  The startTime.

#### setStartTime

    public PlanProtocol.GenerateOperator.Builder setStartTime​(long value)

`uint64 startTime = 1;`

Parameters:
  `value` - The startTime to set.
Returns:
  This builder for chaining.

#### clearStartTime

    public PlanProtocol.GenerateOperator.Builder clearStartTime()

`uint64 startTime = 1;`

Returns:
  This builder for chaining.

#### getRowsPerSecond

    public double getRowsPerSecond()

`double rowsPerSecond = 2;`

Specified by:
  `getRowsPerSecond` in interface `PlanProtocol.GenerateOperatorOrBuilder`
Returns:
  The rowsPerSecond.

#### setRowsPerSecond

    public PlanProtocol.GenerateOperator.Builder setRowsPerSecond​(double value)

`double rowsPerSecond = 2;`

Parameters:
  `value` - The rowsPerSecond to set.
Returns:
  This builder for chaining.

#### clearRowsPerSecond

    public PlanProtocol.GenerateOperator.Builder clearRowsPerSecond()

`double rowsPerSecond = 2;`

Returns:
  This builder for chaining.

#### getRowsToGenerate

    public long getRowsToGenerate()

`uint64 rowsToGenerate = 3;`

Specified by:
  `getRowsToGenerate` in interface `PlanProtocol.GenerateOperatorOrBuilder`
Returns:
  The rowsToGenerate.

#### setRowsToGenerate

    public PlanProtocol.GenerateOperator.Builder setRowsToGenerate​(long value)

`uint64 rowsToGenerate = 3;`

Parameters:
  `value` - The rowsToGenerate to set.
Returns:
  This builder for chaining.

#### clearRowsToGenerate

    public PlanProtocol.GenerateOperator.Builder clearRowsToGenerate()

`uint64 rowsToGenerate = 3;`

Returns:
  This builder for chaining.

#### getClusteringFactor

    public double getClusteringFactor()

`double clusteringFactor = 4;`

Specified by:
  `getClusteringFactor` in interface `PlanProtocol.GenerateOperatorOrBuilder`
Returns:
  The clusteringFactor.

#### setClusteringFactor

    public PlanProtocol.GenerateOperator.Builder setClusteringFactor​(double value)

`double clusteringFactor = 4;`

Parameters:
  `value` - The clusteringFactor to set.
Returns:
  This builder for chaining.

#### clearClusteringFactor

    public PlanProtocol.GenerateOperator.Builder clearClusteringFactor()

`double clusteringFactor = 4;`

Returns:
  This builder for chaining.

#### getClusteringBalanceFactor

    public double getClusteringBalanceFactor()

`double clusteringBalanceFactor = 5;`

Specified by:
  `getClusteringBalanceFactor` in interface `PlanProtocol.GenerateOperatorOrBuilder`
Returns:
  The clusteringBalanceFactor.

#### setClusteringBalanceFactor

    public PlanProtocol.GenerateOperator.Builder setClusteringBalanceFactor​(double value)

`double clusteringBalanceFactor = 5;`

Parameters:
  `value` - The clusteringBalanceFactor to set.
Returns:
  This builder for chaining.

#### clearClusteringBalanceFactor

    public PlanProtocol.GenerateOperator.Builder clearClusteringBalanceFactor()

`double clusteringBalanceFactor = 5;`

Returns:
  This builder for chaining.

#### getRandomSeed

    public long getRandomSeed()

`uint64 randomSeed = 6;`

Specified by:
  `getRandomSeed` in interface `PlanProtocol.GenerateOperatorOrBuilder`
Returns:
  The randomSeed.

#### setRandomSeed

    public PlanProtocol.GenerateOperator.Builder setRandomSeed​(long value)

`uint64 randomSeed = 6;`

Parameters:
  `value` - The randomSeed to set.
Returns:
  This builder for chaining.

#### clearRandomSeed

    public PlanProtocol.GenerateOperator.Builder clearRandomSeed()

`uint64 randomSeed = 6;`

Returns:
  This builder for chaining.

#### getExtraValuesList

    public List<Integer> getExtraValuesList()

`repeated uint32 extraValues = 7;`

Specified by:
  `getExtraValuesList` in interface `PlanProtocol.GenerateOperatorOrBuilder`
Returns:
  A list containing the extraValues.

#### getExtraValuesCount

    public int getExtraValuesCount()

`repeated uint32 extraValues = 7;`

Specified by:
  `getExtraValuesCount` in interface `PlanProtocol.GenerateOperatorOrBuilder`
Returns:
  The count of extraValues.

#### getExtraValues

    public int getExtraValues​(int index)

`repeated uint32 extraValues = 7;`

Specified by:
  `getExtraValues` in interface `PlanProtocol.GenerateOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The extraValues at the given index.

#### setExtraValues

    public PlanProtocol.GenerateOperator.Builder setExtraValues​(int index,
                                                                int value)

`repeated uint32 extraValues = 7;`

Parameters:
  `index` - The index to set the value at.
  `value` - The extraValues to set.
Returns:
  This builder for chaining.

#### addExtraValues

    public PlanProtocol.GenerateOperator.Builder addExtraValues​(int value)

`repeated uint32 extraValues = 7;`

Parameters:
  `value` - The extraValues to add.
Returns:
  This builder for chaining.

#### addAllExtraValues

    public PlanProtocol.GenerateOperator.Builder addAllExtraValues​(Iterable<? extends Integer> values)

`repeated uint32 extraValues = 7;`

Parameters:
  `values` - The extraValues to add.
Returns:
  This builder for chaining.

#### clearExtraValues

    public PlanProtocol.GenerateOperator.Builder clearExtraValues()

`repeated uint32 extraValues = 7;`

Returns:
  This builder for chaining.

#### getLimitVal

    public long getLimitVal()

    If there is no limit being applied, this is set to -1

`int64 limitVal = 8;`

Specified by:
  `getLimitVal` in interface `PlanProtocol.GenerateOperatorOrBuilder`
Returns:
  The limitVal.

#### setLimitVal

    public PlanProtocol.GenerateOperator.Builder setLimitVal​(long value)

    If there is no limit being applied, this is set to -1

`int64 limitVal = 8;`

Parameters:
  `value` - The limitVal to set.
Returns:
  This builder for chaining.

#### clearLimitVal

    public PlanProtocol.GenerateOperator.Builder clearLimitVal()

    If there is no limit being applied, this is set to -1

`int64 limitVal = 8;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.GenerateOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.GenerateOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.GenerateOperator.Builder>`